Log message for "protect" action should contain performer name
Closed, ResolvedPublic

Description

Author: pennstation.wp

Description:
MediaWiki:Logentry-move-move ("$1 moved page $3 to $4") has subject in the message as "$1", and it generates a message like "Penn Station moved page AAA to BBB" CONSISTENTLY in BOTH log and page history (summary). There is no problem when translating it into Japanese like "Penn Station がページ「AAA」を「BBB」にに移動しました".

However, the following are used DIFFERENTLY between log and page history.

  • MediaWiki:Protectedarticle ("protected "[[$1]]"")
  • MediaWiki:Unprotectedarticle ("removed protection from "[[$1]]"")
  • MediaWiki:Modifiedarticleprotection ("changed protection level for "[[$1]]"")

For example,

  • "Penn Station protected "[[AAA]]"" in protection log
  • "protected "[[AAA]]"" in page history (summary) --- No subject!

This is inconsistent with MediaWiki:Logentry-move-move and causes the following problem in Japanese messages.

When I translated MediaWiki:Protectedarticle into Japanese - i.e.
created MediaWiki:Protectedarticle/ja with "が「[[$1]]」を保護しました",
it generates the following messages:

  • "Penn Station が「[[$1]]」を保護しました" in protection log --- OK
  • "が「[[$1]]」を保護しました" in page history (summary) --- Strange message

The fist one in protection log is OK, but the second one in page history is strange because of lacking subject such as "Penn Station".
Japanese statements do not start with "が", but needs subject prior to "が".

Is it possible to put subject into page history like log?
I think that there is originally an inconsistency between move and protect in page history even in English.

Regards,
Penn Station


Version: unspecified
Severity: normal

Details

Reference
bz38116
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz38116.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jul 2 2012, 12:02 PM

Recently the logging framework was renewed to contain the performer everywhere. Looks like "protect" does not use the "Logentry-{type}-{action}" format yet.

pennstation.wp wrote:

Thanks for the info. I understand the situation.
I'm looking forward to seeing the new format including performer on "protect".

For now, I have adjusted (reverted) the following to the current style.

  • MediaWiki:Protectedarticle/ja
  • MediaWiki:Unprotectedarticle/ja ‎
  • MediaWiki:Modifiedarticleprotection/ja

Once "protect" is changed to use the new format, I'll try to update those messages again.

(In reply to comment #1)

Recently the logging framework was renewed to contain the performer everywhere.
Looks like "protect" does not use the "Logentry-{type}-{action}" format yet.

Accordingly moved to "page protection" component.

Amire80 set Security to None.Jun 5 2015, 7:54 PM
Amire80 added a subscriber: IKhitron.

This will also resolve the gender problem. If $1 is the user performed the action, it is possible to use {{GENDER:$1}} on it in languages with gender depended verbs.

jrbs added a subscriber: jrbs.Oct 30 2015, 12:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 12:08 AM
Umherirrender closed this task as Resolved.Nov 10 2015, 7:21 PM
Umherirrender claimed this task.
Umherirrender added a subscriber: Umherirrender.

Fixed with the log rewrite which was done in T47988

IKhitron reopened this task as Open.Dec 9 2015, 1:19 PM

Hello. Thank you for the new messages. But there is a problem: they were not embedded in all the needed places. The log uses the new messages, indeed. But Pages History continues using the old messages. Could you fix this, please? Thank you in advance,
Igal

Due the way the system works, it is not possible to fix existing page history entries.

IKhitron added a comment.EditedDec 9 2015, 5:58 PM

Of course, @Nikerabbit, I know. I'm talking about the future ones.

The re-use of the messages protectedarticle, unprotectedarticle and modifiedarticleprotection in the log was removed, so the message can be translated as standalone message, if possible in ja

I will not add the performer name the edit comment of the null revision, because for move I have read a task to remove the name, because it looks strange - but I cannot find the task.

This means it cannot be fixed? Standalone translations does not help, because of the gender problem.

The performer is already known and written on the page history, so there is less need to add the user name to the edit summary of the protect revision. The edit summary is always short and these extra bytes can remove some needed bytes at the end. I will not add it, but that does not mean it is not fixable.

When it is not possible to translate the message beginning with a verb, than maybe the user name could be a optional parameter for showing or just for gender user, but that should be handled in a seperate task, because the summary of this task just read for the probem with log

I see, @Umherirrender. I'll create a new task.

IKhitron closed this task as Resolved.Dec 10 2015, 10:01 AM